Set Plug & Charge
curl --request POST \
--url https://app.plugchoice.com/api/v3/chargers/{charger}/settings/plug-charge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"card_uid": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/chargers/{charger}/settings/plug-charge"
payload = {
"enabled": True,
"card_uid": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, card_uid: '<string>'})
};
fetch('https://app.plugchoice.com/api/v3/chargers/{charger}/settings/plug-charge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Settings
Set Plug & Charge
POST
/
v3
/
chargers
/
{charger}
/
settings
/
plug-charge
Set Plug & Charge
Enables or disables Plug & Charge for the specified charger. When enabling, a card UID must be provided. Returns a
204 No Content response on success.
The UUID of the charger.
Whether to enable (
true) or disable (false) Plug & Charge.The RFID card UID to use for Plug & Charge. Required when
enabled is true. Maximum 20 characters.⌘I